package intrinsic.mx.modules;

public class ModuleLoader extends intrinsic.mx.containers.VBox {

	/** Accessors */
	public String url;

	/** Variables */
	public intrinsic.flash.display.DisplayObject child;
	public intrinsic.flash.system.ApplicationDomain applicationDomain;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ModuleLoader() {
}


/** Static Methods */

/** Methods */
public native void createComponentsFromDescriptors();
public native void createComponentsFromDescriptors(boolean arg0);
public native void loadModule();
public native void unloadModule();

}
